org.keycloak.authentication.authenticators.resetcred

## Class ResetOTP

- java.lang.Object
- - org.keycloak.authentication.authenticators.resetcred.AbstractSetRequiredActionAuthenticator
  - - org.keycloak.authentication.authenticators.resetcred.ResetOTP

- All Implemented Interfaces:
    Authenticator, AuthenticatorFactory, ConfigurableAuthenticatorFactory, CredentialValidator<OTPCredentialProvider>, ConfiguredProvider, Provider, ProviderFactory<Authenticator>

      public class ResetOTP
      extends AbstractSetRequiredActionAuthenticator
      implements CredentialValidator<OTPCredentialProvider>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

    - ### Fields inherited from interface org.keycloak.authentication.ConfigurableAuthenticatorFactory

      `REQUIREMENT_CHOICES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResetOTP()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authenticate(AuthenticationFlowContext context)` Initial call for the authenticator.
    `boolean` | `configuredFor(KeycloakSession session, RealmModel realm, UserModel user)` Is this authenticator configured for this user.
    `OTPCredentialProvider` | `getCredentialProvider(KeycloakSession session)`
    `String` | `getDisplayType()` Friendly name for the authenticator
    `String` | `getHelpText()`
    `String` | `getId()`

    - ### Methods inherited from class org.keycloak.authentication.authenticators.resetcred.AbstractSetRequiredActionAuthenticator

      `action, close, create, getConfigProperties, getReferenceCategory, getRequirementChoices, init, isConfigurable, isUserSetupAllowed, postInit, requiresUser, setRequiredActions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.CredentialValidator

      `getCredentials, getType`

    - ### Methods inherited from interface org.keycloak.authentication.Authenticator

      `areRequiredActionsEnabled, getRequiredActions`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResetOTP

          public ResetOTP()

  - ### Method Detail

    - #### authenticate

          public void authenticate(AuthenticationFlowContext context)

      Description copied from interface: `Authenticator`
      Initial call for the authenticator. This method should check the current HTTP request to determine if the request satifies the Authenticator's requirements. If it doesn't, it should send back a challenge response by calling the AuthenticationFlowContext.challenge(Response). If this challenge is a authentication, the action URL of the form must point to /realms/{realm}/login-actions/authenticate?code={session-code}&execution={executionId} or /realms/{realm}/login-actions/registration?code={session-code}&execution={executionId} {session-code} pertains to the code generated from AuthenticationFlowContext.generateAccessCode(). The {executionId} pertains to the AuthenticationExecutionModel.getId() value obtained from AuthenticationFlowContext.getExecution(). The action URL will invoke the action() method described below.
      Specified by:
        `authenticate` in interface `Authenticator`

    - #### getCredentialProvider

          public OTPCredentialProvider getCredentialProvider(KeycloakSession session)

      Specified by:
        `getCredentialProvider` in interface `CredentialValidator<OTPCredentialProvider>`

    - #### configuredFor

          public boolean configuredFor(KeycloakSession session,
                                       RealmModel realm,
                                       UserModel user)

      Description copied from interface: `Authenticator`
      Is this authenticator configured for this user.
      Specified by:
        `configuredFor` in interface `Authenticator`
      Overrides:
        `configuredFor` in class `AbstractSetRequiredActionAuthenticator`
      Returns:

    - #### getDisplayType

          public String getDisplayType()

      Description copied from interface: `ConfigurableAuthenticatorFactory`
      Friendly name for the authenticator
      Specified by:
        `getDisplayType` in interface `ConfigurableAuthenticatorFactory`
      Returns:

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<Authenticator>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.